| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfCPS Struct Reference
Subscriber Features

Call Park to Server. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
xsd__string | ParkingLotName
| The name of the parking lot to which CPS service will be applied. More...
xsd__boolean * | ParkingAllowed
| When set to true, the administrator is able to park the call to server. More...
xsd__boolean * | RetrievalAllowed
| When set to true, the administrator is able to retrieve a previously parked call. More...
struct unsp__CfCPS_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Call Park to Server.

The CPS feature is applicable at the subscriber and feature profile level. Subscribers to this feature must be a business group line. The business group call transfer feature must be enabled before assigning the CPS feature to a business group line or to a feature profile with the Parking Allowed field set to true. If the call transfer feature is not active, it will not be possible to provision the CPS service. It is not possible to set both the Parking Allowed field and the Retrieval Allowed field to false.
MP2 command: CFCPS [Attributes]

## Member Data Documentation

## ◆ Local

struct unsp__CfCPS_locPres* unsp__CfCPS::Local

Local Presence flags.

## ◆ ParkingAllowed

xsd__boolean* unsp__CfCPS::ParkingAllowed

When set to true, the administrator is able to park the call to server.

required: false
default value[range]: true

## ◆ ParkingLotName

xsd__string unsp__CfCPS::ParkingLotName

The name of the parking lot to which CPS service will be applied.

required: true
default value[range]: NA [1..20]

## ◆ RetrievalAllowed

xsd__boolean* unsp__CfCPS::RetrievalAllowed

When set to true, the administrator is able to retrieve a previously parked call.

required: false
default value[range]: true

## ◆ Subscribed

enum unsp__Subscribed unsp__CfCPS::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h